%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name Frozen-Flask

Name:           python-frozen-flask
Version:        0.12
Release:        4%{?dist}
Summary:        Frozen-Flask freezes a Flask application into a set of static files

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-flask

%description
Frozen-Flask freezes a Flask application into a set of static files. The result
can be hosted without any server-side software other than a traditional web 
server.

%if 0%{?with_python3}
%package -n python3-frozen-flask
Summary:        Frozen-Flask freezes a Flask application into a set of static files
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-flask

%description -n python3-frozen-flask
Frozen-Flask freezes a Flask application into a set of static files. The result
can be hosted without any server-side software other than a traditional web
server.
%endif


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif


%install
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
%endif

 
%files
%doc README
%license LICENSE
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-frozen-flask
%doc README
%license LICENSE
%{python3_sitelib}/*
%endif


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.12-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun May 29 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0.12-1
- Upstream 0.12
- Add python3 subpackage

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May  8 2014 Diego Daguerre <diegodc.uy@gmail.com> - 0.11-1
- Initial packaging
